#!/bin/bash
# Part of Jeanette C's entry to Loopop's Mega Contest with samples recorded
# at Superbooth 2021
screen -wipe
screen -d -m -S lpclas
sleep 1

# MIDI bridging and clock
#screen -X -S lpclas screen -t jack_alsa_midi -p- -- j2amidi_bridge
#sleep 2
#screen -X -S lpclas screen -t clock_source -p- -- jack_midi_clock
#sleep 2

# ALSA -> JACK MIDI bridge, only required for Yoshimi playing the metronome
#screen -X -S lpclas screen -t alsa_jack_midi -p- -- a2jmidi_bridge
#sleep 2

# Synths
# LinuxSampler loaded with 16 samples from Loopop's Superbooth 2021 soundpack
screen -X -S lpclas screen -t LinuxSampler -p- -- linuxsampler
sleep 3

# Yoshimi softsynth, only required for audible metronome on channel 16
#screen -X -S lpclas screen -t Yoshimi -p- -- yoshimi -i -j -K -l lpclas.xmz
#sleep 2

# JACK connections
# Only required for clock sync with DAW
#jack_connect "jack_midi_clock:mclk_out" "j2a_bridge:playback"

# ONly required for audible metronome
#jack_connect a2j_bridge:capture "yoshimi:midi in"

# Set up LinuxSampler and load all samples
cat lpclas.lscp | lintel.sh
sleep 3

# Connect LinuxSampler's outputs to the first two soundcard channels
#./lincon.sh 16

# Reattach to screen
screen -r lpclas
